Leer las reglas de validación de una propiedad
curl --request GET \
--url https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}/{propertyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"ruleArguments": [
"<string>"
],
"ruleType": "AFTER_DATETIME_DURATION",
"shouldApplyNormalization": true
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Validación de propiedades
Read validation rules for a property
Leer las reglas de validación de una propiedad identificada por .
GET
/
crm
/
property-validations
/
2026-03
/
{objectTypeId}
/
{propertyName}
Leer las reglas de validación de una propiedad
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Respuesta
successful operation
Recopilación de reglas de validación configuradas para la propiedad especificada. Cada regla define una restricción que los valores de las propiedades deben satisfacer (por ejemplo, requisitos de formato, límites de longitud, valores permitidos).
Show child attributes
Show child attributes
Última modificación el 3 de abril de 2026